curl -X GET "https://us.api.bland.ai/v1/custom-dialing-pools/550e8400-e29b-41d4-a716-446655440001" \
-H "Authorization: YOUR_API_KEY"
const poolId = '550e8400-e29b-41d4-a716-446655440001';
const response = await fetch(`https://us.api.bland.ai/v1/custom-dialing-pools/${poolId}`, {
method: 'GET',
headers: {
'Authorization': 'YOUR_API_KEY',
}
});
const data = await response.json();
console.log(data);
import requests
pool_id = "550e8400-e29b-41d4-a716-446655440001"
url = f"https://us.api.bland.ai/v1/custom-dialing-pools/{pool_id}"
headers = {
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
{
"status": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "POOL_NOT_FOUND",
"message": "Geospatial dialing pool not found"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_POOL_ID",
"message": "Pool ID must be a valid UUID"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "UNAUTHORIZED",
"message": "Invalid API key or insufficient permissions"
}
]
}
Custom Dialing Pools
Get Custom Dialing Pool
Retrieve a specific custom dialing pool by its ID.
GET
/
v1
/
custom-dialing-pools
/
{pool_id}
curl -X GET "https://us.api.bland.ai/v1/custom-dialing-pools/550e8400-e29b-41d4-a716-446655440001" \
-H "Authorization: YOUR_API_KEY"
const poolId = '550e8400-e29b-41d4-a716-446655440001';
const response = await fetch(`https://us.api.bland.ai/v1/custom-dialing-pools/${poolId}`, {
method: 'GET',
headers: {
'Authorization': 'YOUR_API_KEY',
}
});
const data = await response.json();
console.log(data);
import requests
pool_id = "550e8400-e29b-41d4-a716-446655440001"
url = f"https://us.api.bland.ai/v1/custom-dialing-pools/{pool_id}"
headers = {
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
{
"status": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "POOL_NOT_FOUND",
"message": "Geospatial dialing pool not found"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_POOL_ID",
"message": "Pool ID must be a valid UUID"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "UNAUTHORIZED",
"message": "Invalid API key or insufficient permissions"
}
]
}
Enterprise Feature - Custom dialing is only available on Enterprise plans. Contact your Bland representative for access.
Headers
Your API key for authentication.
Path Parameters
The unique identifier of the custom dialing pool to retrieve.Format: UUID format (e.g.,
550e8400-e29b-41d4-a716-446655440000)Response
Can be
success or error.The custom dialing pool object (present only if status is
success).curl -X GET "https://us.api.bland.ai/v1/custom-dialing-pools/550e8400-e29b-41d4-a716-446655440001" \
-H "Authorization: YOUR_API_KEY"
const poolId = '550e8400-e29b-41d4-a716-446655440001';
const response = await fetch(`https://us.api.bland.ai/v1/custom-dialing-pools/${poolId}`, {
method: 'GET',
headers: {
'Authorization': 'YOUR_API_KEY',
}
});
const data = await response.json();
console.log(data);
import requests
pool_id = "550e8400-e29b-41d4-a716-446655440001"
url = f"https://us.api.bland.ai/v1/custom-dialing-pools/{pool_id}"
headers = {
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
{
"status": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "POOL_NOT_FOUND",
"message": "Geospatial dialing pool not found"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_POOL_ID",
"message": "Pool ID must be a valid UUID"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "UNAUTHORIZED",
"message": "Invalid API key or insufficient permissions"
}
]
}
Docs for agents: llms.txt
Was this page helpful?
⌘I